<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: PDMA Exported Functions</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">PDMA Exported Functions<div class="ingroups"><a class="el" href="../../d8/dcc/group___n_a_n_o1_x2___device___driver.html">NANO102/112 Device Driver</a> &raquo; <a class="el" href="../../d9/df2/group___n_a_n_o1_x2___p_d_m_a___driver.html">PDMA Driver</a> &raquo; <a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html">PDMA Exported Constants</a></div></div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Collaboration diagram for PDMA Exported Functions:</div>
<div class="dyncontent">
<div class="center"><img src="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.png" border="0" usemap="#adc_2de8_2group______n__a__n__o1__x2______p__d__m__a______e__x__p__o__r__t__e__d______f__u__n__c__t__i__o__n__s" alt=""/></div>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ga80902f661e20836c3c80540c4db4b7c4"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga80902f661e20836c3c80540c4db4b7c4">PDMA_GET_INT_STATUS</a>()</td></tr>
<tr class="memdesc:ga80902f661e20836c3c80540c4db4b7c4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get PDMA Interrupt Status.  <a href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga80902f661e20836c3c80540c4db4b7c4">More...</a><br /></td></tr>
<tr class="separator:ga80902f661e20836c3c80540c4db4b7c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1d656af0e09923d7823cca53c95ba4c5"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1d656af0e09923d7823cca53c95ba4c5">PDMA_GET_CH_INT_STS</a>(u32Ch)</td></tr>
<tr class="memdesc:ga1d656af0e09923d7823cca53c95ba4c5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get PDMA Channel Interrupt Status.  <a href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1d656af0e09923d7823cca53c95ba4c5">More...</a><br /></td></tr>
<tr class="separator:ga1d656af0e09923d7823cca53c95ba4c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga711c94f0845b8b8abe342bbe89854ca0"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga711c94f0845b8b8abe342bbe89854ca0">PDMA_CLR_CH_INT_FLAG</a>(u32Ch,  u32Mask)</td></tr>
<tr class="memdesc:ga711c94f0845b8b8abe342bbe89854ca0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear PDMA Channel Interrupt Flag.  <a href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga711c94f0845b8b8abe342bbe89854ca0">More...</a><br /></td></tr>
<tr class="separator:ga711c94f0845b8b8abe342bbe89854ca0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga610eb8f9bfebadcc02204cb5cc8142ba"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga610eb8f9bfebadcc02204cb5cc8142ba">PDMA_IS_CH_BUSY</a>(u32Ch)</td></tr>
<tr class="memdesc:ga610eb8f9bfebadcc02204cb5cc8142ba"><td class="mdescLeft">&#160;</td><td class="mdescRight">Check Channel Status.  <a href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga610eb8f9bfebadcc02204cb5cc8142ba">More...</a><br /></td></tr>
<tr class="separator:ga610eb8f9bfebadcc02204cb5cc8142ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4ad503ead703803c6057a9d3c7fe535b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4ad503ead703803c6057a9d3c7fe535b">PDMA_SET_SRC_ADDR</a>(u32Ch,  u32Addr)</td></tr>
<tr class="memdesc:ga4ad503ead703803c6057a9d3c7fe535b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set Source Address.  <a href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4ad503ead703803c6057a9d3c7fe535b">More...</a><br /></td></tr>
<tr class="separator:ga4ad503ead703803c6057a9d3c7fe535b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8cd611e41ed0e40c75a8bc7ea6cdabc7"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8cd611e41ed0e40c75a8bc7ea6cdabc7">PDMA_SET_DST_ADDR</a>(u32Ch,  u32Addr)</td></tr>
<tr class="memdesc:ga8cd611e41ed0e40c75a8bc7ea6cdabc7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set Destination Address.  <a href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8cd611e41ed0e40c75a8bc7ea6cdabc7">More...</a><br /></td></tr>
<tr class="separator:ga8cd611e41ed0e40c75a8bc7ea6cdabc7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0abeb742f3df394150a0789aa4dd1af0"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0abeb742f3df394150a0789aa4dd1af0">PDMA_SET_TRANS_CNT</a>(u32Ch,  u32Count)</td></tr>
<tr class="memdesc:ga0abeb742f3df394150a0789aa4dd1af0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set Transfer Count.  <a href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0abeb742f3df394150a0789aa4dd1af0">More...</a><br /></td></tr>
<tr class="separator:ga0abeb742f3df394150a0789aa4dd1af0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7ff26cd12b2ee45c33a0e3cfe61298b2"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7ff26cd12b2ee45c33a0e3cfe61298b2">PDMA_STOP</a>(u32Ch)</td></tr>
<tr class="memdesc:ga7ff26cd12b2ee45c33a0e3cfe61298b2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Stop the channel.  <a href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7ff26cd12b2ee45c33a0e3cfe61298b2">More...</a><br /></td></tr>
<tr class="separator:ga7ff26cd12b2ee45c33a0e3cfe61298b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga57adda7a5b3cc4834bf6713af2992243"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga57adda7a5b3cc4834bf6713af2992243">PDMA_Open</a> (uint32_t u32Mask)</td></tr>
<tr class="memdesc:ga57adda7a5b3cc4834bf6713af2992243"><td class="mdescLeft">&#160;</td><td class="mdescRight">PDMA Open.  <a href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga57adda7a5b3cc4834bf6713af2992243">More...</a><br /></td></tr>
<tr class="separator:ga57adda7a5b3cc4834bf6713af2992243"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac243b7bdead36ee0dc6042c9c7e67aa1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac243b7bdead36ee0dc6042c9c7e67aa1">PDMA_Close</a> (void)</td></tr>
<tr class="memdesc:gac243b7bdead36ee0dc6042c9c7e67aa1"><td class="mdescLeft">&#160;</td><td class="mdescRight">PDMA Close.  <a href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac243b7bdead36ee0dc6042c9c7e67aa1">More...</a><br /></td></tr>
<tr class="separator:gac243b7bdead36ee0dc6042c9c7e67aa1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf8075439ad51f51ff6acc64218a74477"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf8075439ad51f51ff6acc64218a74477">PDMA_SetTransferCnt</a> (uint32_t u32Ch, uint32_t u32Width, uint32_t u32TransCount)</td></tr>
<tr class="memdesc:gaf8075439ad51f51ff6acc64218a74477"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set PDMA Transfer Count.  <a href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf8075439ad51f51ff6acc64218a74477">More...</a><br /></td></tr>
<tr class="separator:gaf8075439ad51f51ff6acc64218a74477"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga18db38eff0079eefe428d2d7fbf2cc10"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga18db38eff0079eefe428d2d7fbf2cc10">PDMA_SetTransferAddr</a> (uint32_t u32Ch, uint32_t u32SrcAddr, uint32_t u32SrcCtrl, uint32_t u32DstAddr, uint32_t u32DstCtrl)</td></tr>
<tr class="memdesc:ga18db38eff0079eefe428d2d7fbf2cc10"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set PDMA Transfer Address.  <a href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga18db38eff0079eefe428d2d7fbf2cc10">More...</a><br /></td></tr>
<tr class="separator:ga18db38eff0079eefe428d2d7fbf2cc10"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad2adb19540b9241d0c7982cfa99251f8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad2adb19540b9241d0c7982cfa99251f8">PDMA_SetTransferMode</a> (uint32_t u32Ch, uint32_t u32Peripheral, uint32_t u32ScatterEn, uint32_t u32DescAddr)</td></tr>
<tr class="memdesc:gad2adb19540b9241d0c7982cfa99251f8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set PDMA Transfer Mode.  <a href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad2adb19540b9241d0c7982cfa99251f8">More...</a><br /></td></tr>
<tr class="separator:gad2adb19540b9241d0c7982cfa99251f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3b46058bec15e3be2e3b4255c3aac3e4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3b46058bec15e3be2e3b4255c3aac3e4">PDMA_SetTimeOut</a> (uint32_t u32Ch, uint32_t u32OnOff, uint32_t u32TimeOutCnt)</td></tr>
<tr class="memdesc:ga3b46058bec15e3be2e3b4255c3aac3e4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set PDMA Timeout.  <a href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3b46058bec15e3be2e3b4255c3aac3e4">More...</a><br /></td></tr>
<tr class="separator:ga3b46058bec15e3be2e3b4255c3aac3e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga27b2c77a625837f0e75592b2c040993f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga27b2c77a625837f0e75592b2c040993f">PDMA_Trigger</a> (uint32_t u32Ch)</td></tr>
<tr class="memdesc:ga27b2c77a625837f0e75592b2c040993f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Trigger PDMA.  <a href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga27b2c77a625837f0e75592b2c040993f">More...</a><br /></td></tr>
<tr class="separator:ga27b2c77a625837f0e75592b2c040993f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4fd46c5f3b680a1e7d5af398dc0f1981"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4fd46c5f3b680a1e7d5af398dc0f1981">PDMA_EnableInt</a> (uint32_t u32Ch, uint32_t u32Mask)</td></tr>
<tr class="memdesc:ga4fd46c5f3b680a1e7d5af398dc0f1981"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable Interrupt.  <a href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4fd46c5f3b680a1e7d5af398dc0f1981">More...</a><br /></td></tr>
<tr class="separator:ga4fd46c5f3b680a1e7d5af398dc0f1981"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacc2cc6a09900276aa06f40d287bd1346"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gacc2cc6a09900276aa06f40d287bd1346">PDMA_DisableInt</a> (uint32_t u32Ch, uint32_t u32Mask)</td></tr>
<tr class="memdesc:gacc2cc6a09900276aa06f40d287bd1346"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable Interrupt.  <a href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gacc2cc6a09900276aa06f40d287bd1346">More...</a><br /></td></tr>
<tr class="separator:gacc2cc6a09900276aa06f40d287bd1346"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="ga711c94f0845b8b8abe342bbe89854ca0" name="ga711c94f0845b8b8abe342bbe89854ca0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga711c94f0845b8b8abe342bbe89854ca0">&#9670;&nbsp;</a></span>PDMA_CLR_CH_INT_FLAG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PDMA_CLR_CH_INT_FLAG</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32Ch, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32Mask&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Clear PDMA Channel Interrupt Flag. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Ch</td><td>Selected DMA channel </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Mask</td><td>Interrupt Mask</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>This macro clear the channel interrupt flag. </p>

<p class="definition">Definition at line <a class="el" href="../../d1/d47/pdma_8h_source.html#l00112">112</a> of file <a class="el" href="../../d1/d47/pdma_8h_source.html">pdma.h</a>.</p>

</div>
</div>
<a id="ga1d656af0e09923d7823cca53c95ba4c5" name="ga1d656af0e09923d7823cca53c95ba4c5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga1d656af0e09923d7823cca53c95ba4c5">&#9670;&nbsp;</a></span>PDMA_GET_CH_INT_STS</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PDMA_GET_CH_INT_STS</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32Ch</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get PDMA Channel Interrupt Status. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Ch</td><td>Selected DMA channel</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Interrupt Status</dd></dl>
<p>This macro gets the channel interrupt status. </p>

<p class="definition">Definition at line <a class="el" href="../../d1/d47/pdma_8h_source.html#l00099">99</a> of file <a class="el" href="../../d1/d47/pdma_8h_source.html">pdma.h</a>.</p>

</div>
</div>
<a id="ga80902f661e20836c3c80540c4db4b7c4" name="ga80902f661e20836c3c80540c4db4b7c4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga80902f661e20836c3c80540c4db4b7c4">&#9670;&nbsp;</a></span>PDMA_GET_INT_STATUS</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PDMA_GET_INT_STATUS</td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get PDMA Interrupt Status. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>This macro gets the interrupt status. </p>

<p class="definition">Definition at line <a class="el" href="../../d1/d47/pdma_8h_source.html#l00087">87</a> of file <a class="el" href="../../d1/d47/pdma_8h_source.html">pdma.h</a>.</p>

</div>
</div>
<a id="ga610eb8f9bfebadcc02204cb5cc8142ba" name="ga610eb8f9bfebadcc02204cb5cc8142ba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga610eb8f9bfebadcc02204cb5cc8142ba">&#9670;&nbsp;</a></span>PDMA_IS_CH_BUSY</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PDMA_IS_CH_BUSY</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32Ch</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Check Channel Status. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Ch</td><td>The selected channel</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>0 = idle </dd>
<dd>
1 = busy</dd></dl>
<p>Check the selected channel is busy or not. </p>

<p class="definition">Definition at line <a class="el" href="../../d1/d47/pdma_8h_source.html#l00125">125</a> of file <a class="el" href="../../d1/d47/pdma_8h_source.html">pdma.h</a>.</p>

</div>
</div>
<a id="ga8cd611e41ed0e40c75a8bc7ea6cdabc7" name="ga8cd611e41ed0e40c75a8bc7ea6cdabc7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga8cd611e41ed0e40c75a8bc7ea6cdabc7">&#9670;&nbsp;</a></span>PDMA_SET_DST_ADDR</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PDMA_SET_DST_ADDR</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32Ch, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32Addr&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set Destination Address. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Ch</td><td>The selected channel </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Addr</td><td>The selected address</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>This macro set the selected channel destination address. </p>

<p class="definition">Definition at line <a class="el" href="../../d1/d47/pdma_8h_source.html#l00151">151</a> of file <a class="el" href="../../d1/d47/pdma_8h_source.html">pdma.h</a>.</p>

</div>
</div>
<a id="ga4ad503ead703803c6057a9d3c7fe535b" name="ga4ad503ead703803c6057a9d3c7fe535b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga4ad503ead703803c6057a9d3c7fe535b">&#9670;&nbsp;</a></span>PDMA_SET_SRC_ADDR</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PDMA_SET_SRC_ADDR</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32Ch, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32Addr&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set Source Address. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Ch</td><td>The selected channel </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Addr</td><td>The selected address</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>This macro set the selected channel source address. </p>

<p class="definition">Definition at line <a class="el" href="../../d1/d47/pdma_8h_source.html#l00138">138</a> of file <a class="el" href="../../d1/d47/pdma_8h_source.html">pdma.h</a>.</p>

</div>
</div>
<a id="ga0abeb742f3df394150a0789aa4dd1af0" name="ga0abeb742f3df394150a0789aa4dd1af0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga0abeb742f3df394150a0789aa4dd1af0">&#9670;&nbsp;</a></span>PDMA_SET_TRANS_CNT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PDMA_SET_TRANS_CNT</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32Ch, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32Count&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set Transfer Count. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Ch</td><td>The selected channel </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Count</td><td>Transfer Count</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>This macro set the selected channel transfer count. </p>

<p class="definition">Definition at line <a class="el" href="../../d1/d47/pdma_8h_source.html#l00164">164</a> of file <a class="el" href="../../d1/d47/pdma_8h_source.html">pdma.h</a>.</p>

</div>
</div>
<a id="ga7ff26cd12b2ee45c33a0e3cfe61298b2" name="ga7ff26cd12b2ee45c33a0e3cfe61298b2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga7ff26cd12b2ee45c33a0e3cfe61298b2">&#9670;&nbsp;</a></span>PDMA_STOP</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PDMA_STOP</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32Ch</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Stop the channel. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Ch</td><td>The selected channel</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>This macro stop the selected channel. </p>

<p class="definition">Definition at line <a class="el" href="../../d1/d47/pdma_8h_source.html#l00183">183</a> of file <a class="el" href="../../d1/d47/pdma_8h_source.html">pdma.h</a>.</p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="gac243b7bdead36ee0dc6042c9c7e67aa1" name="gac243b7bdead36ee0dc6042c9c7e67aa1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gac243b7bdead36ee0dc6042c9c7e67aa1">&#9670;&nbsp;</a></span>PDMA_Close()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void PDMA_Close </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>PDMA Close. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>This function disable all PDMA channels. </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d14/pdma_8c_source.html#l00052">52</a> of file <a class="el" href="../../d2/d14/pdma_8c_source.html">pdma.c</a>.</p>

</div>
</div>
<a id="gacc2cc6a09900276aa06f40d287bd1346" name="gacc2cc6a09900276aa06f40d287bd1346"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gacc2cc6a09900276aa06f40d287bd1346">&#9670;&nbsp;</a></span>PDMA_DisableInt()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void PDMA_DisableInt </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Ch</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Mask</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Disable Interrupt. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Ch</td><td>The selected channel </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Mask</td><td>The Interrupt Type</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>This function disable the selected channel interrupt. </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d14/pdma_8c_source.html#l00227">227</a> of file <a class="el" href="../../d2/d14/pdma_8c_source.html">pdma.c</a>.</p>

</div>
</div>
<a id="ga4fd46c5f3b680a1e7d5af398dc0f1981" name="ga4fd46c5f3b680a1e7d5af398dc0f1981"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga4fd46c5f3b680a1e7d5af398dc0f1981">&#9670;&nbsp;</a></span>PDMA_EnableInt()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void PDMA_EnableInt </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Ch</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Mask</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Enable Interrupt. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Ch</td><td>The selected channel </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Mask</td><td>The Interrupt Type</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>This function enable the selected channel interrupt. </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d14/pdma_8c_source.html#l00209">209</a> of file <a class="el" href="../../d2/d14/pdma_8c_source.html">pdma.c</a>.</p>

</div>
</div>
<a id="ga57adda7a5b3cc4834bf6713af2992243" name="ga57adda7a5b3cc4834bf6713af2992243"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga57adda7a5b3cc4834bf6713af2992243">&#9670;&nbsp;</a></span>PDMA_Open()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void PDMA_Open </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Mask</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>PDMA Open. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Mask</td><td>Channel enable bits.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>This function enable the PDMA channels. </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d14/pdma_8c_source.html#l00038">38</a> of file <a class="el" href="../../d2/d14/pdma_8c_source.html">pdma.c</a>.</p>

</div>
</div>
<a id="ga3b46058bec15e3be2e3b4255c3aac3e4" name="ga3b46058bec15e3be2e3b4255c3aac3e4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga3b46058bec15e3be2e3b4255c3aac3e4">&#9670;&nbsp;</a></span>PDMA_SetTimeOut()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void PDMA_SetTimeOut </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Ch</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32OnOff</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32TimeOutCnt</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set PDMA Timeout. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Ch</td><td>The selected channel </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32OnOff</td><td>Enable/disable time out function </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32TimeOutCnt</td><td>Timeout count</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>This function set the timeout count. </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d14/pdma_8c_source.html#l00172">172</a> of file <a class="el" href="../../d2/d14/pdma_8c_source.html">pdma.c</a>.</p>

</div>
</div>
<a id="ga18db38eff0079eefe428d2d7fbf2cc10" name="ga18db38eff0079eefe428d2d7fbf2cc10"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga18db38eff0079eefe428d2d7fbf2cc10">&#9670;&nbsp;</a></span>PDMA_SetTransferAddr()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void PDMA_SetTransferAddr </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Ch</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32SrcAddr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32SrcCtrl</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32DstAddr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32DstCtrl</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set PDMA Transfer Address. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Ch</td><td>The selected channel </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32SrcAddr</td><td>Source address </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32SrcCtrl</td><td>Source control attribute. <a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1d0ab72a1e9a8daaeef08cb6965bc7d5">PDMA_SAR_INC</a>, <a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8d3be22ba29f16cb303c5d3c5b7d7dca">PDMA_SAR_FIX</a>, or <a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6e4dd7405575c9c493fd0caf15814800">PDMA_SAR_WRA</a> </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32DstAddr</td><td>destination address </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32DstCtrl</td><td>destination control attribute. <a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf87d318bb050f2b2e28e5b75a633ab40">PDMA_DAR_INC</a>, <a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga22d43fb8061d03b776184d56f5d617f4">PDMA_DAR_FIX</a>, or <a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga854ba02e7cac7866a4cb9b90cdd153e2">PDMA_DAR_WRA</a></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>This function set the selected channel source/destination address and attribute. </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d14/pdma_8c_source.html#l00105">105</a> of file <a class="el" href="../../d2/d14/pdma_8c_source.html">pdma.c</a>.</p>

</div>
</div>
<a id="gaf8075439ad51f51ff6acc64218a74477" name="gaf8075439ad51f51ff6acc64218a74477"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaf8075439ad51f51ff6acc64218a74477">&#9670;&nbsp;</a></span>PDMA_SetTransferCnt()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void PDMA_SetTransferCnt </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Ch</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32TransCount</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set PDMA Transfer Count. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Ch</td><td>The selected channel </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Width</td><td>Data width. <a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac2d69c77ef2c12860be0c946ab509c52">PDMA_WIDTH_8</a>, <a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga10522cab6c0fa8d45aeb59deb064dfac">PDMA_WIDTH_16</a>, or <a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga0e4d6deef47ba09e97543dc7594a59a3">PDMA_WIDTH_32</a> </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32TransCount</td><td>Transfer count</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>This function set the selected channel data width and transfer count. </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d14/pdma_8c_source.html#l00068">68</a> of file <a class="el" href="../../d2/d14/pdma_8c_source.html">pdma.c</a>.</p>

</div>
</div>
<a id="gad2adb19540b9241d0c7982cfa99251f8" name="gad2adb19540b9241d0c7982cfa99251f8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gad2adb19540b9241d0c7982cfa99251f8">&#9670;&nbsp;</a></span>PDMA_SetTransferMode()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void PDMA_SetTransferMode </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Ch</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Peripheral</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32ScatterEn</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32DescAddr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set PDMA Transfer Mode. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Ch</td><td>The selected channel </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Peripheral</td><td>The selected peripheral. <a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9ff6104fb9271fb8fae39867535244ea">PDMA_SPI0_TX</a>, <a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga07bbb3174e1c310aaf1c232a11ddbc62">PDMA_SPI1_TX</a>, <a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad625d970deaa570105920c81c1500afe">PDMA_UART0_TX</a>, <a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab7062d121208f552131821681af03a0c">PDMA_UART1_TX</a>, <a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9fa15658aac2952bdcbc6f550eb6a688">PDMA_TMR0_TX</a>, <a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae5a6d206f45aa185bc0c0853ff0d7272">PDMA_TMR1_TX</a>, <a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8cea4fa7294830387a1c3271f049ce80">PDMA_TMR2_TX</a>, <a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9a45d86369963ad1e8016caae0409c30">PDMA_TMR3_TX</a>, <a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa57b1014fe27240eb0568ee37441a3c3">PDMA_SPI0_RX</a>, <a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gacba44d471efef119711b3e3f6547c133">PDMA_SPI1_RX</a>, <a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga67a69da9283454af1332746b5f443d23">PDMA_UART0_RX</a>, <a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga18106be6fdcb4ecb40d5dabd85d845bc">PDMA_UART1_RX</a>, <a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2c079335316a7755dd7549369cc60a33">PDMA_ADC</a>, <a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga681423450ceecede8721047dfa974193">PDMA_PWM0_CH0</a>, <a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf63d8970aab98ba85d6cbf986a6447a8">PDMA_PWM0_CH2</a>, <a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga345574611c87136e7d228d877449ad4e">PDMA_MEM</a> </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32ScatterEn</td><td>Scatter-gather mode enable </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32DescAddr</td><td>Scatter-gather descriptor address</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>This function set the selected channel transfer mode. Include peripheral setting. </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d14/pdma_8c_source.html#l00131">131</a> of file <a class="el" href="../../d2/d14/pdma_8c_source.html">pdma.c</a>.</p>

</div>
</div>
<a id="ga27b2c77a625837f0e75592b2c040993f" name="ga27b2c77a625837f0e75592b2c040993f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga27b2c77a625837f0e75592b2c040993f">&#9670;&nbsp;</a></span>PDMA_Trigger()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void PDMA_Trigger </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Ch</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Trigger PDMA. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Ch</td><td>The selected channel</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>This function trigger the selected channel. </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d14/pdma_8c_source.html#l00191">191</a> of file <a class="el" href="../../d2/d14/pdma_8c_source.html">pdma.c</a>.</p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:32 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
